[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFilterOptions

Set of filter options to use.

## Declaration

Source position: db.pas line 1273

`type TFilterOptions = set of (`
`foCaseInsensitive,` |  | Filter case insensitively.
`foNoPartialCompare` |  | Do not compare values partially, always compare completely.
`);`

## Description

TFilterOption is the set of filter options to use when filtering a dataset. This set type is used in the TDataset.FilterOptions property. The available values are described in the TFilterOption type.

## See also

TDataset.FilterOptions |  | Options to apply when filtering
TFilterOption |  | Available filter options.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .